'''
Conway's game of life, step 1
'''

board_rows = [
           "....................",
           "....#...............",
           ".....#..............",
           "...###..............",
           "....................",
           "....................",
           "....................",
           "....................",
           "....................",
           "....................",
           "....................",
           "....................",
           "....................",
           "....................",
           "....................",
           "....................",
           "....................",
           "....................",
           "....................",
           "...................."
           ]
	   
def init_board(board_rows):
    new_board = []
    for row in board_rows:
        new_row = []
        for column in range(len(row)):
            #print(row[column],end="")
            new_row.append(row[column])
        #print()
        new_board.append(new_row)
    return new_board

def print_board(board):
    for row in board:
        for cell in row:
            print(cell,end="")
        print()

# main program:
board = init_board(board_rows)
print_board(board)




